import {
  // parsePlugin,
  parsePluginDir,
  // parseCustomRoutes,
  parseCustomRoutesDir
} from 'amos-pluggable';

/**
 * 解析自定义路由
 */
export function parseCusotmRoutes() {
  // const req = require.context('../plugin', true, /^\.\/([^_][\w-]+)\/customRoutes\.plugin\.(js|jsx)?$/);
  // return parseCustomRoutes(req, true);
  const routes = parseCustomRoutesDir(true);
  return routes;
}

/**
 * 解析插件路由
 */
export default function parsePluginRoutes() {
  // const req = require.context('../plugin', true, /^\.\/([^_][\w-]+)\/index\.plugin\.(js|jsx)?$/);
  // return parsePlugin(req, true);
  const plugins = parsePluginDir(true);
  return plugins;
}
